GlyphPatch corrige la última vulnerabilidad descubierta en iOS 6


Hace unos pocos días nos llegaba la noticia de una vulnerabilidad de iOS 6 y OS X 10.8 que provocaba el cierre inesperado de determinadas aplicaciones si se escribía una cadena con caracteres del alfabeto árabe. Este problema está corregido en las betas actuales de iOS 7 y OS X Mavericks, pero algunos programadores ajenos a Apple han estado trabajando para encontrar una solución a este defecto de iOS 6.

La buena noticia es que ya está disponible. La mala, que solo se puede descargar si tenemos hecho el jailbreak en nuestro dispositivo, puesto que el parche se ha publicado directamente en Cydia. Su nombre es GlyphPatch y ha sido desarrollado por Filippo Bigarella.

Las aplicaciones afectadas por esta vulnerabilidad son Mensajes, Safari, Chrome e incluso el proceso de búsqueda de redes WiFi. Este defecto no permite tomar el control del dispositivo de forma remota, pero si que provoca que las aplicaciones se cierren de forma inesperada y, en el caso de Mensajes, que no se pueda volver a utilizar.

GlyphPatch se puede descargar desde el repositorio Big Boss y para su uso no es necesario realizar ningún tipo de configuración. En cualquier caso, Apple debería publicar algún tipo de actualización menor de iOS 6 que sirviese para corregir este problema, aunque imaginamos que todos sus esfuerzos estarán centrados actualmente en terminar de depurar iOS 7.

Vía: iDB

Anterior Imágenes del ensamblaje de componentes filtrados que podrían pertenecer al iPad 5
Siguiente Apple registra en China el diseño de los iconos de iOS 7

Sin comentarios

Contestar

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *